Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.ext
Class DOMDeserializer<T>

    java.lang.Object
      com.fasterxml.jackson.databind.JsonDeserializer<T>
          com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
              com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
                  com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>
                      com.fasterxml.jackson.databind.ext.DOMDeserializer<T>

Direct Known Subclasses:
  DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer

    public abstract class DOMDeserializer<T>

extends FromStringDeserializer<T>

Base for serializers that allows parsing DOM Documents from JSON Strings. Nominal type can be either `Node` or `Document`.

Nested Class Summary
`static class` | `DOMDeserializer.DocumentDeserializer`
`static class` | `DOMDeserializer.NodeDeserializer`

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`JsonDeserializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_valueClass`

Constructor Summary
`protected` | `DOMDeserializer(Class<T> cls)`

Method Summary
`abstract T` | `_deserialize(String value, DeserializationContext ctxt)`
`protected Document` | `parse(String value)`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer
`_deserializeEmbedded, deserialize`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer
`deserializeWithType`

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`deserialize, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, unwrappingDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMDeserializer

    protected DOMDeserializer(Class<T> cls)

Method Detail

### _deserialize

    public abstract T _deserialize(String value,
                                   DeserializationContext ctxt)

  Specified by:
    `_deserialize` in class `FromStringDeserializer<T>`

### parse

    protected final Document parse(String value)
                            throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.